<?php
/*
Plugin Name: Password Content ShortCode 
Plugin URI: http://www.ttweb.ru/cspassword.html
Description: Password for the content of records WordPress
Version: 2.0
Author: ZetRider
Author URI: http://www.zetrider.ru
Author Email: ZetRider@bk.ru
*/
/*  Copyright 2011  zetrider  (email: zetrider@bk.ru)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

load_plugin_textdomain('cs-password', PLUGINDIR.'/'.dirname(plugin_basename(__FILE__)). '/lang/');

$cspasswordurl = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));

function cspasswordmenu(){
	add_options_page('CS Password', 'CS Password', 8, basename(__FILE__), 'setting_cspassword');
}
add_action('admin_menu', 'cspasswordmenu');

function setting_cspassword() {
global $cspasswordurl;
?>
	<div class="wrap">
		<style type="text/css">
			.ablock {
				color:#fff;
				padding:5px;
				background:#4581c6;
				text-decoration:none;
			}
			.radius_pass {
				-moz-border-radius: 8px; 
				-webkit-border-radius: 8px; 
				-khtml-border-radius: 8px; 
				border-radius: 8px; 
				behavior: url(border-radius.htc);
			}
			.ablock:hover {
				color:#fff;
				background:#529bee;
			}
			.logo { float:left;	margin:0 10px 0 0; }
		</style>
		<h2><?php _e("Settings Password Content ShortCode","clone-spc"); ?> </h2>
		<table class="widefat" style="width:100% !important;"><thead><tr><th scope="col">
		<img src="<?php echo $cspasswordurl; ?>ttweb.png" class="logo">
		<?php _e("Studio TTWeb","clone-spc");?><br>
		<?php _e("Creation, website promotion","clone-spc");?><br>
		<?php _e("Development of site design, logos, business cards, etc.","clone-spc");?><br>
		<?php _e("Development and translation of plugins","clone-spc");?><br>
		<a href="http://www.TTWeb.ru" target="_blank">http://www.TTWeb.ru</a> | 
		<a href="http://www.zetrider.ru" target="_blank">http://www.ZetRider.ru (free help)</a> 
		<th scope="col" style="border-left:1px #c0c0c0 solid">
		<b>Donate me:</b><br>
		WMZ    -&nbsp;&nbsp;&nbsp; Z280634834547<br>
		WMR    -&nbsp;&nbsp;&nbsp; R240220810962<br>
		Yandex - 41001637137755<br>
		</th></th></tr></thead></table>
		<br>
		<div style="float:left;"><a href="http://www.zetrider.ru/?p=66" class="ablock radius_pass" target="_blank"><?php _e("Instruction","clone-spc"); ?></a> <a href="http://wordpress.org/extend/plugins/password-content-shortcode/" class="ablock radius_pass" target="_blank">FAQ / English instruction</a></div>
		<br class="calc_clear"><br class="calc_clear">
		
		<table class="widefat" style="width:100% !important;"><thead><tr><th scope="col">
			<form method="post" action="options.php">
			<?php wp_nonce_field('update-options'); ?>
				<strong><?php _e("Message when an error entering the password:","cs-password"); ?></strong><br>
				<input type="text" name="cspassword_error" size="60" value="<?php echo get_option('cspassword_error') ?>" /> <small>(Default: Access Denied)</small><br><br>
				<strong><?php _e("The text before the input field:","cs-password"); ?></strong><br>
				<input type="text" name="cspassword_text" size="60" value="<?php echo get_option('cspassword_text') ?>" /> <small>(Default: Content with a password)</small><br><br>
				<strong><?php _e("The name of the input buttons:","cs-password"); ?></strong><br>
				<input type="text" name="cspassword_submit" size="60" value="<?php echo get_option('cspassword_submit') ?>" /> <small>(Default: "Access")</small><br><br>
				<input type="hidden" name="action" value="update" />
				<input type="hidden" name="page_options" value="cspassword_error, cspassword_submit, cspassword_text" />
				<input type="submit" name="update" value="<?php _e("Save","cs-password"); ?>">
			</form>
		</th></tr></thead></table>	
	</div>    
<?php 
}

function cspassword_shortcode($atts, $content = null) {

	extract(shortcode_atts(array('password' => ""), $atts));

	$cspassword = $password;
	if (get_option('cspassword_text') == '') { $cspassword_text = "Content with a password "; } else { $cspassword_text = get_option('cspassword_text'); }
	if (get_option('cspassword_submit') == '') { $cspassword_submit = "Access"; } else { $cspassword_submit = get_option('cspassword_submit'); }
	if (get_option('cspassword_error') == '') { $cspassword_error = "Access Denied"; } else { $cspassword_error = get_option('cspassword_error'); } 
	$cspassword_form = '
	<div class="cspassword">
	<form action="" method="post"> 
	'.$cspassword_text.'<input type="text" size="20" name="cspasswordform"> <input type="submit" name="csbutton" value="'.$cspassword_submit.'"> 
	</form>
	</div>
	';
	
	if (isset($_POST['csbutton'])==true) {
		if ($_POST['cspasswordform'] == $cspassword && $cspassword != '') {
			return $content;
		}
		else {
			return "<strong>".$cspassword_error."</strong>".$cspassword_form;
		}
	}
	return $cspassword_form;

}
add_shortcode('cspasswordcode', 'cspassword_shortcode');


// кнопка
function add_cspasswordcode(){
	global $cspasswordurl;
	echo "<a title=\"[cspasswordcode password='your password'] [cspasswordcode]\" onclick=\"insertcspasswordcode('content','[cspasswordcode password=\'\']','[/cspasswordcode]');\"><img src=\"".$cspasswordurl."cspassword.gif\"></a> ";
}
add_action('media_buttons','add_cspasswordcode',11);

function button_js() { 
	echo "<script type=\"text/javascript\">function insertcspasswordcode(e,b,c){var a=document.getElementsByName(e).item(0);if(document.getSelection){a.value=a.value.substring(0,a.selectionStart)+b+a.value.substring(a.selectionStart,a.selectionEnd)+c+a.value.substring(a.selectionEnd,a.value.length)}else{var d=document.selection.createRange().text;if(d!=''){var f=b+d+c;document.selection.createRange().text=f}}}</script>";
}
add_action('admin_head', 'button_js');

?>